Check out the LimeSurvey source code on GitHub!

inline HTML editor not available after upgrade1.90

More
6 years 4 months ago #49655 by Mazi
Maybe this is a bug that only shows up at certain server configurations?

Please open a ticket at the Bugtracker and...

1. Give as much information as possible

2. Attach your survey. You can mark your ticket "private" so that only the developers will be able to take a look at it.

3. Provide step-by-step instructions how to reproduce the problem.

4. If possible/helpful please provide screenshots

Afterwards please post the link to the Bugtracker so we can follow the progress.

Thanks!

@others: If you have the same problems please add your server config to the Bugtracker ticket.


Best regards/Beste Grüße,
Dr. Marcel Minke
(Limesurvey Head of Support)
Need Help? We offer professional Limesurvey support
Contact: marcel.minke(at)survey-consulting.com'"

Please Log in to join the conversation.

More
6 years 4 months ago - 6 years 4 months ago #49737 by vbraque
Ticket opened in the Bugtracker.
I assume we continue this topic out there.
Thanks!

Ticket 4637
Last Edit: 6 years 4 months ago by DenisChenu. Reason: Add http://bugs.limesurvey.org/view.php?id=4637

Please Log in to join the conversation.

More
6 years 4 months ago #49765 by Mazi
Thanks for reporting bugs, we'll look into it.


Best regards/Beste Grüße,
Dr. Marcel Minke
(Limesurvey Head of Support)
Need Help? We offer professional Limesurvey support
Contact: marcel.minke(at)survey-consulting.com'"

Please Log in to join the conversation.

More
6 years 4 months ago #50628 by vbraque
Problem solved!

After open&close a ticket in the Bugtracker, we just detect a little bug, but the problem was still there. Fckeditor didn't load for any strange reason.

But the problem was in config-defaults.php file:

Line 465, on 1.90RC2 references fckeditor.
$fckeditordir = "$homeurl/scripts/fckeditor.266";

Line 469, on 1.90+ is different:
$sFCKEditorURL = "$homeurl/scripts/fckeditor.266";


Variable name was different. I imagine this could be an unfortune update in this file, upgrading from 1.90RC to 1.90+.
Everything works fine, taking this "s" off.

Thanks to everyone for your time and brain in this thread, and also special thanks to the Bugtracker team.

Keep on it!

Please Log in to join the conversation.

More
6 years 4 months ago #50633 by Mazi
Did you manually update and forgot to overwrite that file?


Best regards/Beste Grüße,
Dr. Marcel Minke
(Limesurvey Head of Support)
Need Help? We offer professional Limesurvey support
Contact: marcel.minke(at)survey-consulting.com'"

Please Log in to join the conversation.

More
6 years 4 months ago #50659 by vbraque
It's obvius we've modified manually this file, and we preserve it every time we upgrade.
But I'm 99% sure this line in the script has not been modified by us.
Anyway I can't asure that 100%.
We just modify the tipical lines from this file.

Please Log in to join the conversation.

More
6 years 4 months ago #50686 by Mazi
Next time you'll remember this file :-)


Best regards/Beste Grüße,
Dr. Marcel Minke
(Limesurvey Head of Support)
Need Help? We offer professional Limesurvey support
Contact: marcel.minke(at)survey-consulting.com'"

Please Log in to join the conversation.

More
6 years 4 months ago #50693 by DenisChenu
vbraque wrote:

It's obvius we've modified manually this file, and we preserve it every time we upgrade.

To replace cong-default, you can use config.php, it's more accurate :)

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).

Please Log in to join the conversation.

More
6 years 4 months ago #50694 by vbraque
Yes! I know.
But I'm afraid we modified any parameter from config-defaults.php in the past, from early versions (<1.70), and we've preserved this file since then. I could not remember why.
For example, I must modify a parameter in the config-default.php that's not present in config.php,... Do you mean I can COPY&MODIFIY it to config.php and leave config-default in its original state?

Please Log in to join the conversation.

More
6 years 4 months ago #50702 by Mazi
Settings in config-defaults.php are overwritten by settings in config.php, correct ;-)

Please get a up to date config-defaults.php file because otherwise settings might be missing for newer features.


Best regards/Beste Grüße,
Dr. Marcel Minke
(Limesurvey Head of Support)
Need Help? We offer professional Limesurvey support
Contact: marcel.minke(at)survey-consulting.com'"

Please Log in to join the conversation.

Imprint                   Privacy policy         General Terms & Conditions         Revocation information and revocation form